Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.parsers
Class RegexStoryParser

    java.lang.Object
      org.jbehave.core.parsers.RegexStoryParser

All Implemented Interfaces:
  StoryParser

    public class RegexStoryParser

extends Object
implements StoryParser

Pattern-based story parser, which uses the keywords provided to parse the textual story into a `Story`.

Constructor Summary
`RegexStoryParser()`
`RegexStoryParser(ExamplesTableFactory tableFactory)`
`RegexStoryParser(Keywords keywords)`
`RegexStoryParser(Keywords keywords, ExamplesTableFactory tableFactory)`

Method Summary
`Story` | `parseStory(String storyAsText)` Parses story from its textual representation
`Story` | `parseStory(String storyAsText, String storyPath)` Parses story from its textual representation and (optional) story path

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexStoryParser

    public RegexStoryParser()

### RegexStoryParser

    public RegexStoryParser(Keywords keywords)

### RegexStoryParser

    public RegexStoryParser(ExamplesTableFactory tableFactory)

### RegexStoryParser

    public RegexStoryParser(Keywords keywords,
                            ExamplesTableFactory tableFactory)

Method Detail

### parseStory

    public Story parseStory(String storyAsText)

  Description copied from interface: `StoryParser`
  Parses story from its textual representation

  Specified by:
    `parseStory` in interface `StoryParser`
  Parameters:
    `storyAsText` - the textual representation
  Returns:
    The Story

### parseStory

    public Story parseStory(String storyAsText,
                            String storyPath)

  Description copied from interface: `StoryParser`
  Parses story from its textual representation and (optional) story path

  Specified by:
    `parseStory` in interface `StoryParser`
  Parameters:
    `storyAsText` - the textual representation
    `storyPath` - the story path, may be `null`
  Returns:
    The Story

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.